Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.util
Class tools

    java.lang.Object
      |
      +--org.openorb.compiler.idl.util.tools

public class tools
extends java.lang.Object

This class provides several tools to help user to define its own translation.

Version:
  $Revision: 1.5 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Field Summary
`static java.lang.String` | `tab`

Constructor Summary
`tools()`

Method Summary
`static java.lang.String` | `adaptToDot(java.lang.String path)`
`static java.io.PrintWriter` | `createNewFile(java.io.File into, java.lang.String name)` This operation creates and returns a print access to a new file.
`static java.lang.String` | `inversedPrefix(java.lang.String prefix)`
`static void` | `javadoc_base(java.io.PrintWriter output, IdlObject obj)` Add a JavaDoc comment
`static void` | `javadoc(java.io.PrintWriter output, IdlObject obj)` Add a JavaDoc comment
`static java.lang.String` | `javaName(idlObject obj)` This operation returns a Java name for an IDL object accroding to the IDL to Java mapping rules.
`static void` | `javaType(idlObject obj, java.io.PrintWriter output)` This operations translates an IDL object to java
`static void` | `marshal(idlObject obj, java.io.PrintWriter output, java.lang.String streamName, java.lang.String typeName)` This operations marshals an IDL object to java
`static void` | `translate_comment_section_base(java.io.PrintWriter output, java.lang.String description, IdlObject obj)` Translate a JavaDoc comments section
`static void` | `translate_comment_section(java.io.PrintWriter output, java.lang.String description, IdlObject obj)` Translate a JavaDoc comments section
`static void` | `unmarshal(idlObject obj, java.io.PrintWriter output, java.lang.String streamName, java.lang.String typeName)` This operations unmarshals an IDL object to java
`static void` | `writePackageName(java.io.PrintWriter writer, idlObject obj)` This operation prints the object package name ( according to the IDL to Java translation rules ).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tab

    public static final java.lang.String tab

Constructor Detail

### tools

    public tools()

Method Detail

### createNewFile

    public static java.io.PrintWriter createNewFile(java.io.File into,
                                                    java.lang.String name)

  This operation creates and returns a print access to a new file.

### writePackageName

    public static void writePackageName(java.io.PrintWriter writer,
                                        idlObject obj)

  This operation prints the object package name ( according to the IDL to Java translation rules ).

### javaName

    public static java.lang.String javaName(idlObject obj)

  This operation returns a Java name for an IDL object accroding to the IDL to Java mapping rules.

### adaptToDot

    public static java.lang.String adaptToDot(java.lang.String path)

### inversedPrefix

    public static java.lang.String inversedPrefix(java.lang.String prefix)

### javaType

    public static void javaType(idlObject obj,
                                java.io.PrintWriter output)

  This operations translates an IDL object to java

### marshal

    public static void marshal(idlObject obj,
                               java.io.PrintWriter output,
                               java.lang.String streamName,
                               java.lang.String typeName)

  This operations marshals an IDL object to java

### unmarshal

    public static void unmarshal(idlObject obj,
                                 java.io.PrintWriter output,
                                 java.lang.String streamName,
                                 java.lang.String typeName)

  This operations unmarshals an IDL object to java

### translate_comment_section

    public static void translate_comment_section(java.io.PrintWriter output,
                                                 java.lang.String description,
                                                 IdlObject obj)

  Translate a JavaDoc comments section

### translate_comment_section_base

    public static void translate_comment_section_base(java.io.PrintWriter output,
                                                      java.lang.String description,
                                                      IdlObject obj)

  Translate a JavaDoc comments section

### javadoc

    public static void javadoc(java.io.PrintWriter output,
                               IdlObject obj)

  Add a JavaDoc comment
  Parameters:
    `output` - the target file
    `obj` - the object the header has to be added

### javadoc_base

    public static void javadoc_base(java.io.PrintWriter output,
                                    IdlObject obj)

  Add a JavaDoc comment
  Parameters:
    `output` - the target file
    `obj` - the object the header has to be added

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD